## pdf2djvu 0.9.18.2

=== po/Makefile ===
# Copyright © 2009-2018 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

srcdir = ..
include $(srcdir)/autoconf.mk

po_files = $(wildcard *.po)
mo_files = $(po_files:.po=.mo)
source_files = $(wildcard $(srcdir)/*.cc $(srcdir)/*.hh)

gettext-common-options = \
	--add-location=file \
	--sort-output \
	--no-wrap \

xgettext = $(XGETTEXT) \
	$(gettext-common-options) \
	--from-code=UTF-8 \
	--language=C++ \
	--keyword=_ --keyword=N_ \
	--package-name=pdf2djvu \
	--package-version=$(PACKAGE_VERSION) \
	--msgid-bugs-address=$(PACKAGE_BUGREPORT) \
	--add-comments=L10N: \

msgmerge = $(MSGMERGE) \
	$(gettext-common-options) \
	--update \
	--verbose \

ifneq "$(wildcard $(srcdir)/.hg/)" ""
msgmerge += --backup=off
endif

msgfmt = $(MSGFMT) \
	--check \
	--verbose \

.PHONY: all
all: pdf2djvu.pot $(po_files) $(mo_files)

pdf2djvu.pot: $(XGETTEXT_HELPER) $(source_files)
	$(xgettext) -D $(srcdir) $(sort $(notdir $(source_files))) > $(@)

%.po: pdf2djvu.pot
	$(msgmerge) $(@) $(<)
	touch $(@)

%.mo: %.po
	$(msgfmt) -o $(@) -c $(<)

.PHONY: check
check: $(po_files)
	$(srcdir)/private/check-po $(^)

.PHONY: clean
clean:
	rm -f *.mo pdf2djvu.pot

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

=== tests/Makefile ===
# Copyright © 2009-2019 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

srcdir = ..
include $(srcdir)/autoconf.mk

PYTHON = python

export pdf2djvu = ../pdf2djvu$(EXEEXT)

test_scripts = $(wildcard test-*.py)
tests = $(test_scripts:.py=)

tex_files = $(wildcard test-*.tex)
pdf_files = $(addsuffix .pdf,$(basename $(tex_files)))

in_files = $(wildcard *.in)

generated_files = $(in_files:.in=) $(pdf_files)

noseargs =

.PHONY: all
ifeq "$(origin pdf2djvu)" "file"
all: $(pdf2djvu)
endif
all: $(generated_files)
	$(PYTHON) -c 'import nose; nose.main()' -v $(noseargs)

.PHONY: prepare
prepare: $(generated_files)
	rm -f *.py[co]

.PHONY: clean
clean:
	rm -f *.djvu *.py[co]

.PHONY: vcs-clean
vcs-clean: clean
	rm -f $(generated_files)

%.pdf: %.tex
	luatex $(<)
	rm -f $(<:.tex=.log)

%.pdf: %.pdf.in
	./$(<)

%: %.in
	./$(<)

../pdf2djvu$(EXEEXT):
	$(MAKE) -C ../

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

=== win32/Makefile ===
# Copyright © 2009-2021 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

usr = $(CURDIR)
host = i686-w64-mingw32
docbook_xsl = http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl

ifeq "$(wildcard ../.git)" ""
version := $(shell IFS='()' read _ v _ < ../doc/changelog && echo $$v)
orig_src_tarball = pdf2djvu-$(version).tar.xz
else
orig_src_tarball := $(shell ../private/build-source-tarball --print-name)
version = $(word 2,$(subst .tar, ,$(subst -, ,$(orig_src_tarball))))
endif

ifeq "$(orig_src_tarball)" ""
$(error cannot determine orig source tarball name)
endif

djvulibre_tools = bzz c44 cjb2 csepdjvu djvuextract djvumake djvused djvmcvt

download =
untar = tar --strip-components=1 -xf
ship_dll = install -m 644 bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll

cmake_options = \
	-DCMAKE_SYSTEM_NAME=Windows \
	-DCMAKE_INSTALL_PREFIX=$(usr) \
	-DCMAKE_FIND_ROOT_PATH=$(usr) \
	-DCMAKE_FIND_ROOT_PATH_MODE_LIBRARY=ONLY \
	-DCMAKE_FIND_ROOT_PATH_MODE_INCLUDE=ONLY \

export CC = $(host)-gcc
export CXX = $(host)-g++
export AS = $(host)-as
export DLLTOOL = $(host)-dlltool
export OBJDUMP = $(host)-objdump
export STRIP = $(host)-strip

export PKG_CONFIG_PATH = $(usr)/lib/pkgconfig
export CPATH = $(usr)/include
export LDFLAGS = -L$(usr)/lib

export CFLAGS = -Os
export CXXFLAGS = -Os

export V = 1
export VERBOSE = 1

export WINEDEBUG ?= err+all,fixme-all
export WINE = wine
export WINESERVER = /usr/lib/wine/wineserver32

ifneq "$(download)" ""
export PDF2DJVU_DOWNLOAD = 1
endif

.PHONY: all
all:
	@echo Usage:
	@echo '  make source-dist'
	@echo '  make binary-dist'

.PHONY: clean

# source tarballs

src_tarball_topdir = pdf2djvu-win32-source-$(version)
src_tarball_name = pdf2djvu-win32-source-$(version)
tar_opts = --owner root --group root --mode u=rwX,go=rX --format ustar --sort name
xz_opts = -8e

.PHONY: source-dist
source-dist:
	$(MAKE) $(shell grep '/source[-]stamp:' Makefile | cut -d: -f1)
	rm -rf $(src_tarball_topdir)
	mkdir $(src_tarball_topdir)
	cp -rl src/*/ $(src_tarball_topdir)/
	find $(src_tarball_topdir) -name source-stamp -delete
	find $(src_tarball_topdir) -type d -name .pc | xargs rm -rf
	tar $(tar_opts) -I 'xz -v $(xz_opts)' -cf $(src_tarball_name).tar.xz $(src_tarball_topdir)
	rm -rf $(src_tarball_topdir)

.PHONY: clean-source
clean: clean-source
clean-source:
	rm -rf src/
	rm -rf $(src_tarball_topdir)
	rm -f $(src_tarball_name).tar.xz

# binary zipballs

zipball_topdir = pdf2djvu-$(version)
zipball_name = pdf2djvu-win32-$(version)
zip_opts = -9 -X -r

.PHONY: binary-dist
binary-dist: install
	rm -rf $(zipball_topdir)
	mkdir $(zipball_topdir)
	! strings -f dist/*.exe dist/*.dll | grep -F '$(CURDIR)'
	! strings -l e -f dist/*.exe dist/*.dll | grep -F '$(CURDIR)'
	cp -rl dist/* $(zipball_topdir)
	chmod a-x $(zipball_topdir)/*.exe
	chmod -R u=rwX,go=rX $(zipball_topdir)
	zip $(zip_opts) $(zipball_name).zip $(zipball_topdir)
	rm -r $(zipball_topdir)

.PHONY: clean-binary
clean: clean-binary
clean-binary:
	rm -rf bin/ etc/ include/ lib/ share/
	rm -rf dist/
	rm -rf $(zipball_topdir)
	rm -f $(zipball_name).zip

.PHONY: install
install: src/pdf2djvu/install-stamp
install: src/libs-install-stamp
install: src/urw-fonts/install-stamp
install: src/poppler-data/install-stamp

# pdf2djvu

src/pdf2djvu/source-stamp: src.tar/$(orig_src_tarball)
	mkdir -p $(dir $@)
	$(untar) $(<) -C $(dir $@)
	rm -f $(dir $@)/paths.hh
	touch $(@)

src/pdf2djvu/config.status: src/pdf2djvu/source-stamp
src/pdf2djvu/config.status: src/djvulibre/install-stamp
src/pdf2djvu/config.status: src/gettext/install-stamp
src/pdf2djvu/config.status: src/graphicsmagick/install-stamp
src/pdf2djvu/config.status: src/exiv2/install-stamp
src/pdf2djvu/config.status: src/mingwrt/install-stamp
src/pdf2djvu/config.status: src/poppler/install-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--bindir=$(usr)/dist/ \
		--localedir=$(usr)/dist/locale/ \
		--with-graphicsmagick \
		--enable-xmp \
		--disable-openmp

src/pdf2djvu/build-stamp: src/pdf2djvu/config.status
	$(MAKE) djvulibre_bindir=. localedir=./locale -C $(dir $@)
	touch $(@)

src/pdf2djvu/install-stamp: src/pdf2djvu/build-stamp
	install -d dist/doc/
	$(MAKE) install -C $(dir $@)
	$(STRIP) dist/pdf2djvu.exe
	xsltproc --nonet $(docbook_xsl) src/pdf2djvu/doc/manpage.xml > dist/doc/manpage.html
	$(MAKE) -C $(dir $@)/doc/po/ xml
	cd src/pdf2djvu/doc/po/ && set -e && \
		for file in *.xml; do \
			locale="$${file%.*}"; \
			xsltproc --nonet $(docbook_xsl) $$file > $(usr)/dist/doc/manpage-$$locale.html; \
		done
	sed -e 's/$$/\r/' < src/pdf2djvu/doc/COPYING > dist/doc/COPYING.txt
	cd src/pdf2djvu/doc && \
		ls README credits djvudigital \
		| xargs -I{file} -t rst2html {file} $(usr)/dist/doc/{file}.html
	sed -e 's/$$/\r/' < src/pdf2djvu/doc/changelog > dist/doc/changelog.txt
	touch $(@)

# various libraries

src/libs-install-stamp: src/djvulibre/install-stamp
src/libs-install-stamp: src/fontconfig/install-stamp
src/libs-install-stamp: src/freetype/install-stamp
src/libs-install-stamp: src/gettext/install-stamp
src/libs-install-stamp: src/graphicsmagick/install-stamp
src/libs-install-stamp: src/libjpeg/install-stamp
src/libs-install-stamp: src/expat/install-stamp
src/libs-install-stamp: src/exiv2/install-stamp
src/libs-install-stamp: src/poppler/install-stamp
src/libs-install-stamp: src/winiconv/install-stamp
	install -d dist/doc/
	rst2html doc/COPYING.libs.txt > dist/doc/COPYING.libs.html
	touch $(@)

# Poppler

src/poppler/source-stamp:
	mkdir -p $(dir $@)
	tools/wget https://poppler.freedesktop.org/poppler-21.06.0.tar.xz 4b440708eafdf07a1405e06744c66ac54a5af51a0e38ab17a46fbaff47278342
	$(untar) src.tar/poppler-21.06.0.tar.xz -C $(dir $@)
	cd $(dir $@) && QUILT_PATCHES=../../patches/poppler quilt push -a
	rm -rf $(dir $@)/*.cache $(dir $@)/*~
	touch $(@)

src/poppler/Makefile: src/poppler/source-stamp
src/poppler/Makefile: src/fontconfig/install-stamp
src/poppler/Makefile: src/libjpeg/install-stamp
src/poppler/Makefile: src/openjpeg/install-stamp
	cd $(dir $@) && \
		cmake $(cmake_options) . \
		-DBUILD_CPP_TESTS=OFF \
		-DBUILD_GTK_TESTS=OFF \
		-DBUILD_MANUAL_TESTS=OFF \
		-DBUILD_QT5_TESTS=OFF \
		-DENABLE_BOOST=OFF \
		-DENABLE_CMS=none \
		-DENABLE_CPP=OFF \
		-DENABLE_GLIB=OFF \
		-DENABLE_GTK_DOC=OFF \
		-DENABLE_LIBCURL=OFF \
		-DENABLE_LIBOPENJPEG=openjpeg2 \
		-DENABLE_QT5=OFF \
		-DENABLE_QT6=OFF \
		-DENABLE_SPLASH=ON \
		-DENABLE_UNSTABLE_API_ABI_HEADERS=ON \
		-DENABLE_UTILS=OFF \
		-DFONT_CONFIGURATION=fontconfig \
		-DTESTDATADIR=/nonexistent \
		-DWITH_NSS3=OFF \
		-DWITH_PNG=OFF \
		-DWITH_TIFF=OFF
	find $(dir $@) -name build.make -print0 \
	| xargs -0 sed -i -e 's,\([ 	]\)\(/[^ 	]\+/\($(CC)\|$(CXX)\)\) ,\1$(CURDIR)/tools/enforce-relative-paths \2 ,'

include/dummy-mutex: misc/dummy-mutex.hh
	install -m 644 $(<) $(@)

src/poppler/build-stamp: src/poppler/Makefile include/dummy-mutex
	$(MAKE) -C $(dir $@)
	touch $(@)

src/poppler/install-stamp: src/poppler/build-stamp
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libpoppler)
	touch $(@)

# poppler-data

src/poppler-data/source-stamp:
	mkdir -p $(dir $@)
	tools/wget https://poppler.freedesktop.org/poppler-data-0.4.10.tar.gz 6e2fcef66ec8c44625f94292ccf8af9f1d918b410d5aa69c274ce67387967b30
	$(untar) src.tar/poppler-data-0.4.10.tar.gz -C $(dir $@)
	touch $(@)

src/poppler-data/build-stamp: src/poppler-data/source-stamp
	$(MAKE) -C $(dir $@)
	touch $(@)

src/poppler-data/install-stamp: src/poppler-data/build-stamp
	$(MAKE) -C $(dir $@) install prefix=$(usr)
	install -d dist/share/
	cp -a share/poppler dist/share/
	install -d dist/doc/
	rst2html doc/COPYING.poppler-data.txt > dist/doc/COPYING.poppler-data.html
	touch $(@)

# DjVuLibre

src/djvulibre/source-stamp:
	mkdir -p $(dir $@)
	tools/wget https://downloads.sourceforge.net/project/djvu/DjVuLibre/3.5.28/djvulibre-3.5.28.tar.gz fcd009ea7654fde5a83600eb80757bd3a76998e47d13c66b54c8db849f8f2edc
	$(untar) src.tar/djvulibre-3.5.28.tar.gz -C $(dir $@)
	sed -i -e 's/[A-Z]\+_EXPORT/DLL_EXPORT/' $(dir $@)/libdjvu/*.h
	sed -i -e 's/#if.*def.*AUTOCONF.*/#if 0/' $(dir $@)/libdjvu/DjVuMessage.cpp
	touch $(@)

src/djvulibre/config.status: src/djvulibre/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--without-jpeg \
		--disable-static

src/djvulibre/build-stamp: src/djvulibre/config.status
	$(MAKE) -C $(dir $@)/libdjvu
	$(MAKE) -C $(dir $@)/tools
	touch $(@)

src/djvulibre/install-stamp: src/djvulibre/build-stamp
	install -d dist/
	$(MAKE) -C $(dir $@)/libdjvu install
	$(MAKE) -C $(dir $@)/tools install
	set -e && \
	for tool in $(djvulibre_tools); do \
		install bin/$$tool.exe bin/$$tool; \
		install bin/$$tool.exe dist/; \
		$(STRIP) dist/$$tool.exe; \
	done
	$(call ship_dll,libdjvulibre)
	touch $(@)

# GraphicsMagick

src/graphicsmagick/source-stamp:
	mkdir -p $(dir $@)
	tools/wget https://downloads.sourceforge.net/project/graphicsmagick/graphicsmagick/1.3.36/GraphicsMagick-1.3.36.tar.xz 5d5b3fde759cdfc307aaf21df9ebd8c752e3f088bb051dd5df8aac7ba7338f46
	$(untar) src.tar/GraphicsMagick-1.3.36.tar.xz -C $(dir $@)
	cd $(dir $@) && QUILT_PATCHES=../../patches/graphicsmagick quilt push -a
	cd $(dir $@) && autoreconf -vfi
	rm -rf $(dir $@)/*.cache $(dir $@)/magick/*~
	touch $(@)

src/graphicsmagick/config.status: src/graphicsmagick/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
			--disable-installed \
			--disable-openmp --without-threads \
			--enable-shared --disable-static \
			--with-quantum-depth=8 \
			--without-frozenpaths \
			--without-perl \
			--without-bzlib \
			--without-dps \
			--without-fpx \
			--without-jbig \
			--without-webp \
			--without-jpeg \
			--without-jp2 \
			--without-lcms2 \
			--without-lzma \
			--without-png \
			--without-tiff \
			--without-trio \
			--without-ttf \
			--without-umem \
			--without-wmf \
			--without-xml \
			--without-zlib \
			--without-x \
			--without-png

src/graphicsmagick/build-stamp: src/graphicsmagick/config.status
	$(MAKE) -C $(dir $@)
	touch $(@)

src/graphicsmagick/install-stamp: src/graphicsmagick/build-stamp
	install -d dist/
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libGraphicsMagick)
	rm dist/libGraphicsMagickWand*.dll
	install -d dist/share/GraphicsMagick
	install -m 644 share/GraphicsMagick-1.3.36/config/*.mgk dist/share/GraphicsMagick
	touch $(@)

# Expat

src/expat/source-stamp:
	mkdir -p $(dir $@)
	tools/wget https://github.com/libexpat/libexpat/releases/download/R_2_4_1/expat-2.4.1.tar.xz cf032d0dba9b928636548e32b327a2d66b1aab63c4f4a13dd132c2d1d2f2fb6a
	$(untar) src.tar/expat-2.4.1.tar.xz -C $(dir $@)
	touch $(@)

src/expat/config.status: src/expat/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--without-docbook \
		--disable-static

src/expat/build-stamp: src/expat/config.status
	$(MAKE) -C $(dir $@)
	touch $(@)

src/expat/install-stamp: src/expat/build-stamp
	install -d dist/
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libexpat)
	touch $(@)

# Exiv2

src/exiv2/source-stamp:
	mkdir -p $(dir $@)
	tools/wget https://github.com/Exiv2/exiv2/archive/refs/tags/v0.27.3.tar.gz -n exiv2-0.27.3.tar.gz 6398bc743c32b85b2cb2a604273b8c90aa4eb0fd7c1700bf66cbb2712b4f00c1
	$(untar) src.tar/exiv2-0.27.3.tar.gz -C $(dir $@)
	cd $(dir $@) && QUILT_PATCHES=../../patches/exiv2 quilt push -a
	touch $(@)

src/exiv2/Makefile: src/exiv2/source-stamp
src/exiv2/Makefile: src/expat/install-stamp
	cd $(dir $@) && cmake $(cmake_options) . \
		-DEXIV2_BUILD_EXIV2_COMMAND=OFF \
		-DEXIV2_BUILD_SAMPLES=OFF \
		-DEXIV2_ENABLE_PNG=OFF \

=== doc/po/Makefile ===
# Copyright © 2009-2018 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of pdf2djvu.
#
# pdf2djvu is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# pdf2djvu is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

srcdir = ../..
include $(srcdir)/autoconf.mk

po4a-common-options = \
	--format=docbook

po4a-getext-options = \
	$(po4a-common-options) \
	--master-charset=UTF-8 \
	--package-name=pdf2djvu \
	--package-version=$(PACKAGE_VERSION) \
	--msgid-bugs-address=$(PACKAGE_BUGREPORT) \
	--copyright-holder="Jakub Wilk <jwilk@jwilk.net>"

msgmerge_opts = \
	--no-location \
	--no-wrap \

ifneq "$(wildcard $(srcdir)/.hg/)" ""
msgmerge_opts += --backup=off
endif

po4a-update-po = po4a-updatepo \
	$(po4a-getext-options) \
	--msgmerge-opt="$(msgmerge_opts)"

po4a-gettextize = po4a-gettextize \
	$(po4a-getext-options)

po4a-translate = po4a-translate \
	$(po4a-common-options)

source = ../manpage.xml
po_files = $(wildcard *.po)
langs = $(po_files:.po=)
xml_files = $(addsuffix .xml,$(langs))
man_files = $(addsuffix .1,$(addprefix pdf2djvu.,$(langs)))

.PHONY: all
all: $(man_files)

pdf2djvu.%.1: %.xml
	! [ -s $(<) ] || $(srcdir)/tools/build-manpage -l $(<) $(@)

.PHONY: xml
xml: $(xml_files)

manpage.pot: $(source)
	$(po4a-gettextize) -m $(<) -p $(@)
	perl -pi -e 's/^([#][.])\s*(\S.*\S)\s*$$/$$1 $$2\n/' $(@)

$(po_files): %.po: $(source)
	$(po4a-update-po) -m $(<) -p $(@)
	perl -pi -e 's/^([#][.])\s*(\S.*\S)\s*$$/$$1 $$2\n/' $(@)
	touch $(@)

%.xml: %.po
	$(po4a-translate) -k 100 -m $(source) -p $(<) -l $(@)

.PHONY: check
check: $(po_files)
	$(srcdir)/private/check-po $(^)

.PHONY: clean
clean:
	rm -f *.1 *.xml *.pot

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
pdf2djvu (0.9.18.2-2build6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:09:22 +1100

pdf2djvu (0.9.18.2-2build5) noble; urgency=high

  * No change rebuild against libgraphicsmagick++-q16-12t64,
    libgraphicsmagick-q16-3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:48:01 +0100

pdf2djvu (0.9.18.2-2build4) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 18:11:43 -0500

pdf2djvu (0.9.18.2-2build3) noble; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Dec 2023 08:12:22 -0500

pdf2djvu (0.9.18.2-2build2) mantic; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Aug 2023 05:19:47 -0400

pdf2djvu (0.9.18.2-2build1) lunar; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 18 Dec 2022 08:43:00 -0500

pdf2djvu (0.9.18.2-2) unstable; urgency=medium

  * Fix build failure with Poppler 22.06 (Closes: #1012801)
  * deb/control:
    + bump standards to 4.6.1.0.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Fri, 12 Aug 2022 20:18:24 +0800

pdf2djvu (0.9.18.2-1) unstable; urgency=medium

  * New upstream release.
    + Document minimum required Exiv2 version.
    + Fix build failure with upcoming Exiv2 1.0.
    + Remove spurious zero-width spaces from the Ukrainian manual page.
  * Improve the test suite:
    + Fix test failure with Exiv2 ≥ 0.27.5.
      Thanks to Kamil Cukrowski for the bug report and the initial patch.
      https://github.com/jwilk/pdf2djvu/issues/149
  * deb/control:
    + bump standards to 4.6.0.2.

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Fri, 18 Feb 2022 01:16:25 +0800

pdf2djvu (0.9.18.1-1) unstable; urgency=medium

  * New upstream release.
    + Fix build failure with Poppler ≥ 21.10.
    + Fix FTBFS with gcc-11. (Closes: #984288)

 -- Hsieh-Tseng Shen <woodrow.shen@gmail.com>  Thu, 28 Oct 2021 18:15:17 +0800

=== debian/control ===
Source: pdf2djvu
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hsieh-Tseng Shen <woodrow.shen@gmail.com>
Build-Depends:
 debhelper-compat (= 12),
 djvulibre-bin (>= 3.5.25~),
 libdjvulibre-dev (>= 3.5.25~),
 libgraphicsmagick++1-dev,
 libpoppler-private-dev (>= 0.35~),
 libexiv2-dev,
 uuid-dev,
 pkg-config,
# python-nose,
# python-pil,
 locales
Build-Conflicts:
 locales-all
Standards-Version: 4.6.1.0
Rules-Requires-Root: no
Homepage: http://jwilk.net/software/pdf2djvu
Vcs-Browser: https://salsa.debian.org/debian/pdf2djvu
Vcs-Git: https://salsa.debian.org/debian/pdf2djvu.git

Package: pdf2djvu
Architecture: any
Depends:
 djvulibre-bin (>= 3.5.25~),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 poppler-data
Breaks:
 libdjvulibre21 (<< 3.5.20-5~)
Description: PDF to DjVu converter
 pdf2djvu creates DjVu files from PDF files. It's able to extract:
  - graphics,
  - text layer,
  - hyperlinks,
  - document outline (bookmarks),
  - metadata (including XMP metadata).

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/jwilk/pdf2djvu/releases (?:.*)pdf2djvu-(\d[\d\.]+)\.(?:tar\.gz|tar\.bz2|tar\.xz)
